% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/print_fun_foot.R
\name{print.btdFoot}
\alias{print.btdFoot}
\title{Print Method for btdFoot Objects}
\usage{
\method{print}{btdFoot}(
  x,
  pars = NULL,
  teams = NULL,
  digits = 3,
  true_names = TRUE,
  display = c("both", "rankings", "parameters"),
  ...
)
}
\arguments{
\item{x}{An object of class \code{btdFoot}.}

\item{pars}{Optional character vector specifying parameters to include in the summary (e.g., \code{"logStrength"}, \code{"logTie"}, \code{"home"}, \code{"log_lik"}, and \code{"y_rep"}).}

\item{teams}{Optional character vector specifying team names whose \code{logStrength} parameters should be displayed.}

\item{digits}{Number of digits to use when printing numeric values. Default is \code{3}.}

\item{true_names}{Logical value indicating whether to display team names in parameter summaries. Default is \code{TRUE}.}

\item{display}{Character string specifying which parts of the output to display. Options are \code{"both"}, \code{"rankings"}, or \code{"parameters"}. Default is \code{"both"}.}

\item{...}{Additional arguments passed.}
}
\description{
Provides detailed posterior summaries for the Bayesian Bradley-Terry-Davidson model parameters.
}
\author{
Roberto Macrì Demartino \email{roberto.macridemartino@phd.unipd.it}
}
